/******************************************************************************
 *                                                                         
 *               Copyright 2004-2006 Agilent Technologies
 *               All rights reserved.
 *
 *****************************************************************************/
 
#include "stdafx.h"
#include "CoAgilent34980A.h"

/// <summary>
///	The name of the manufacturer reported by the physical instrument.  If Simulation
/// is enabled or the instrument is not capable of reporting the name of the manufacturer,
/// a string is returned that explains the condition. Manufacturer is limited to
/// 256 bytes
/// </summary>
/// <remarks>
///	
/// </remarks>
HRESULT Agilent34980A::IIviDriverIdentity_get_InstrumentManufacturer(BSTR* Val)
{
	HRESULT hr = S_OK;

	hr = DriverBase::get_InstrumentManufacturer(Val);

	return hr;
}

/// <summary>
///	The model number or name reported by the physical instrument.  If Simulation
/// is enabled or the instrument is not capable of reporting the model number or
/// name, a string is returned that explains the condition.  Model is limited to
/// 256 bytes
/// </summary>
/// <remarks>
///	
/// </remarks>
HRESULT Agilent34980A::IIviDriverIdentity_get_InstrumentModel(BSTR* Val)
{
	HRESULT hr = S_OK;

	hr = DriverBase::get_InstrumentModel(Val);

	return hr;
}

/// <summary>
///	The firmware revision reported by the physical instrument.  If Simulation is
/// enabled or the instrument is not capable of reporting the firmware revision,
/// a string is returned that explains the condition.
/// </summary>
/// <remarks>
///	
/// </remarks>
HRESULT Agilent34980A::IIviDriverIdentity_get_InstrumentFirmwareRevision(BSTR* Val)
{
	HRESULT hr = S_OK;

	hr = DriverBase::get_InstrumentFirmwareRevision(Val);

	return hr;
}

/// <summary>
///	The case-sensitive unique identifier of the implementing IVI-COM instrument
/// driver.
/// </summary>
/// <remarks>
///	
/// </remarks>
HRESULT Agilent34980A::IIviDriverIdentity_get_Identifier(BSTR* Val)
{
	HRESULT hr = S_OK;

	hr = DriverBase::get_Identifier(Val);

	return hr;
}

/// <summary>
///	A comma-separated list of instrument models that the IVI specific driver can
/// control.  The string does not include an abbreviation for the manufacturer if
/// it is the same for all models.
/// </summary>
/// <remarks>
///	
/// </remarks>
HRESULT Agilent34980A::IIviDriverIdentity_get_SupportedInstrumentModels(BSTR* Val)
{
	HRESULT hr = S_OK;

	hr = DriverBase::get_SupportedInstrumentModels(Val);

	return hr;
}

/// <summary>
///	For IVI class-compliant drivers, the major version number of the instrument
/// class specification.  If the driver is not class compliant, the driver returns
/// zero.
/// </summary>
/// <remarks>
///	
/// </remarks>
HRESULT Agilent34980A::IIviDriverIdentity_get_SpecificationMajorVersion(long* Val)
{
	HRESULT hr = S_OK;

	hr = DriverBase::get_SpecificationMajorVersion(Val);

	return hr;
}

/// <summary>
///	For IVI class-compliant drivers, the minor version number of the instrument
/// class specification.  If the driver is not class compliant, the driver returns
/// zero.
/// </summary>
/// <remarks>
///	
/// </remarks>
HRESULT Agilent34980A::IIviDriverIdentity_get_SpecificationMinorVersion(long* Val)
{
	HRESULT hr = S_OK;

	hr = DriverBase::get_SpecificationMinorVersion(Val);

	return hr;
}

/// <summary>
///	A comma-separated list of the class capability groups implemented by the driver.
///  Capability group names are documented in the IVI class specifications.  If
/// the driver is not class compliant, the driver returns an empty string.
/// </summary>
/// <remarks>
///	
/// </remarks>
HRESULT Agilent34980A::IIviDriverIdentity_get_GroupCapabilities(BSTR* Val)
{
	HRESULT hr = S_OK;

	hr = DriverBase::get_GroupCapabilities(Val);

	return hr;
}


